petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatPartitioningGetType

Gets the Partitioning method type and name (as a string) from the partitioning context.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningGetType(MatPartitioning partitioning,MatPartitioningType *type)

Not collective

### Input Parameter

partitioning -the partitioning context

### Output Parameter

type -partitioner type

Not Collective

### Keywords

Partitioning, get, method, name, type

### Level

intermediate

### Location

src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages